## phcpack 2.4.85+dfsg

=== debian/changelog ===
phcpack (2.4.85+dfsg-5build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 19:35:10 +0000

phcpack (2.4.85+dfsg-5) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/control
    - Use secure URI in Homepage field.
  * debian/copyright
    - Use spaces rather than tabs to start continuation lines.
  * debian/upstream/metadata
    - Set upstream metadata fields: Bug-Submit, Repository,
      Repository-Browse.

  [ Doug Torrance ]
  * debian/control
    - Add support for "nopython" and "nodoc" build profiles.
  * debian/copyright
    - Update my copyright years.
  * debian/rules
    - Don't build PHCpy when "nopython" is in DEB_BUILD_PROFILES.
  * debian/tests/phcpy-test.py
    - Adjust random seed again; the seed introduced in 2.4.85+dfsg-3
      resulted in solve_rps10() failing on armhf.

 -- Doug Torrance <dtorrance@debian.org>  Thu, 17 Feb 2022 21:26:14 -0500

phcpack (2.4.85+dfsg-4) unstable; urgency=medium

  * debian/rules
    - Use /bin/sh for calling "command" shell builtin; should fix builds in
      kFreeBSD and Hurd.

 -- Doug Torrance <dtorrance@debian.org>  Sat, 01 Jan 2022 15:24:53 -0500

phcpack (2.4.85+dfsg-3) unstable; urgency=medium

  * debian/control
    - Split build dependencies needed only for architecture dependent
      (resp., independent) packages to Build-Depends-Arch (resp.,
      Build-Depends-Indep).
    - Add dh-sequence-* build dependencies for python3 and sphinxdoc.
    - Set Multi-Arch to "foreign" for phcpack-doc.
  * debian/rules
    - Several updates to facilitate the Build-Depends-Arch/Indep split:
      + Customize dh options based on whether dh_octave/pybuild are
        present.
      + Only set build flags when gnatgcc is present.
      + Don't let dh_auto_clean fail when dh_octave isn't present.
  * debian/tests/phcpy-test.py
    - Tweak random seed; otherwise solve_rps10() fails on i386, presumably
      due to 80-bit floating point precision.

 -- Doug Torrance <dtorrance@debian.org>  Sat, 01 Jan 2022 00:16:57 -0500

phcpack (2.4.85+dfsg-2) unstable; urgency=medium

  * Source-only upload for transition to testing.
  * debian/*
    - Update my email address; now a Debian Developer.
  * debian/control
    - Update Maintainer to Debian Math Team.
    - Bump Standards-Version to 4.6.0.
    - Update Vcs-* URL's (science-team -> math-team).
  * debian/patches/avoid-gcc-bug.patch
    - New patch; void internal compiler errors with GCC 11.
  * debian/patches/escape-backslash.patch
    - Escape backslash in documentation config.  Otherwise we get a
      "'unicodeescape' codec can't decode bytes" error with newer versions
      of Python.
  * debian/rules
    - Drop back to C++14 to prevent FTBFS.
  * debian/source/lintian-overrides
    - Update source-is-missing override; line length info is no longer
      included.

 -- Doug Torrance <dtorrance@debian.org>  Wed, 29 Dec 2021 13:17:31 -0500

phcpack (2.4.85+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #820848).

 -- Doug Torrance <dtorrance@piedmont.edu>  Sun, 11 Jul 2021 15:08:03 +0530
