=== debian/tests/control ===
Tests: phcpy-test.py
Depends: python3-phcpy

Tests: phclab-test.m
Depends: octave-phclab, phcpack-doc
