## phcpack 2.4.86+dfsg

=== debian/changelog ===
phcpack (2.4.86+dfsg-4) unstable; urgency=medium

  * debian/control
    - Add Testsuite field for autopkgtest-pkg-pybuild.  This way, we'll at
      least have a superficial test to make sure that the Python module
      imports correctly even though the comprehensive test is marked as
      flaky.
  * debian/tests/control
    - Mark PHCpy test as flaky.

 -- Doug Torrance <dtorrance@debian.org>  Tue, 03 Jan 2023 13:50:20 -0500

phcpack (2.4.86+dfsg-3) unstable; urgency=medium

  [ Nicolas Boulenguez ]
  * Trivial changes for dh-ada-library/8.2

  [ Doug Torrance ]
  * debian/control
    - Bump Standards-Version to 4.6.2.
  * debian/rules
    - Skip dh_dwz to avoid build failure (Closes: #1027120).

 -- Doug Torrance <dtorrance@debian.org>  Tue, 27 Dec 2022 21:26:50 -0500

phcpack (2.4.86+dfsg-2) unstable; urgency=medium

  * debian/control
    - Add dh-sequence-octave in Build-Depends-Indep to simplify d/rules.
    - Add minimum version for dh-octave in Build-Depends-Indep.
  * debian/rules
    - Drop "--with octave"; no longer needed now that dh-sequence-octave is
      a build dependency.
    - Stop moving octave files from d/phcpack to d/tmp since dh_octave now
      installs them there in the first place (Closes: #1013619).
    - Split most of override_dh_clean recipe into
      execute_after_dh_auto_clean; they were previously in
      execute_after_dh_auto_clean-arch/indep and should be run before
      dh_clean.  Otherwise, we end up with *.debhelper.log files after the
      build, causing lintian errors.
  * debian/salsa-ci.yml
    - Ignore -fstack-protector-strong flag when running blhc as part of
      Salsa continuous integration.
  * debian/source/lintian-overrides
    - Add brackets around filename to match current Lintian output.

 -- Doug Torrance <dtorrance@debian.org>  Sat, 25 Jun 2022 22:01:29 -0400

phcpack (2.4.86+dfsg-1) unstable; urgency=medium

  * New upstream release.

  [ Nicolas Boulenguez ]
  * debian/rules
    - disable stackprotectorstrong via hardening flags settings

  [ Doug Torrance ]
  * debian/patches
    - Remove patches applied upstream.
      + avoid-gcc-bug.patch
      + escape-backslash.patch
      + import-polynomials.patch
      + manpage.patch
      + no-intersphinx.patch
    - Refresh remaining patches for new upstream release.

 -- Doug Torrance <dtorrance@debian.org>  Tue, 31 May 2022 09:08:01 -0400

phcpack (2.4.85+dfsg-6) unstable; urgency=medium

  [ Doug Torrance ]
  * debian/control
    - Bump Standards-Version to 4.6.1.
  * debian/copyright
    - Convert leading tabs to spaces in Files-Excluded.
  * debian/gbp.conf
    - Update debian-branch to debian/latest; recommended by DEP-14.
  * debian/rules
    - Also include /usr/share/dpkg/buildopts.mk; required by
      debian_packaging-11.mk (Closes: #1011364).
    - Remove -fstack-protector-strong from ADAFLAGS; fixes build with
      gnat-11.
  * debian/tests/control
    - Add allow-stderr restriction for PHClab test; workaround for an
      Octave bug.

  [ Nicolas Boulenguez ]
  * debian/control
    - remove dh-python dependency, dh-sequence-python3 is an alias
  * debian/rules
    - improve creation and removal of inst subdirectory
    - merge recipes for phclab
    - use unversioned ada/debian_packaging.mk from gnat (>= 11)
    - clean both -arch and -indep objects
    - search nodoc in DEB_BUILD_PROFILES, not _OPTIONS

 -- Doug Torrance <dtorrance@debian.org>  Wed, 25 May 2022 06:00:43 -0400
