=== debian/control ===
--- 
+++ 
@@ -9,19 +9,20 @@
                python3-sphinx ,
                texlive-latex-base <!nodoc>,
                texlive-latex-extra <!nodoc>
-Build-Depends-Arch: dh-python <!nopython>,
-                    dh-sequence-python3 <!nopython>,
-                    gnat,
+Build-Depends-Arch: dh-sequence-python3 <!nopython>,
+                    dh-ada-library (>= 8.2),
+                    gnat (>= 11~),
                     gprbuild,
                     jdupes <!nopython !nodoc>,
                     python3-all-dev <!nopython>,
                     python3-tk <!nopython>
-Build-Depends-Indep: dh-octave
-Standards-Version: 4.6.0
+Build-Depends-Indep: dh-octave (>= 1.2.0~), dh-sequence-octave
+Standards-Version: 4.6.2
 Homepage: https://homepages.math.uic.edu/~jan/PHCpack/phcpack.html
 Vcs-Browser: https://salsa.debian.org/math-team/phcpack
 Vcs-Git: https://salsa.debian.org/math-team/phcpack.git
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: phcpack
 Architecture: any
