=== debian/tests/control ===
Tests: phcpy-test.py
Depends: python3-phcpy
Restrictions: flaky

Tests: phclab-test.m
Depends: octave-phclab, phcpack-doc
Restrictions: allow-stderr
