## phcpack 2.4.90%2Bdfsg

=== debian/changelog ===
phcpack (2.4.90+dfsg-2build2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 13:33:04 +0000

phcpack (2.4.90+dfsg-2build1) plucky; urgency=medium

  * No-change rebuild with gnat-14

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 11 Mar 2025 13:47:50 +0000

phcpack (2.4.90+dfsg-2) unstable; urgency=medium

  * debian/control
    - Add python3-setuptools to Build-Depends-Arch (Closes: #1080698).
    - Bump Standards-Version to 4.7.2.
  * debian/copyright
    - Update my copyright years

 -- Doug Torrance <dtorrance@debian.org>  Sat, 08 Mar 2025 07:52:24 -0500

phcpack (2.4.90+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/hardening.patch
    - Refresh for new upstream release.

 -- Doug Torrance <dtorrance@debian.org>  Thu, 21 Mar 2024 06:05:57 -0400

phcpack (2.4.89+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/clean
    - Update name of shared library to clean.
  * debian/control
    - Remove jdupes from Build-Depends.
    - Remove Testsuite field; autodep8 test wasn't doing anything.
  * debian/copyright
    - Update my copyright years.
  * debian/patches/find-shared-library.patch
    - New patch; find shared library since pybuild renames it.
  * debian/patches/hardening.patch
    - Update patch for new Python build.
  * debian/patches/no-phcpy-chdir.patch
    - New patch; don't change to system site directory when loading phcpy.
      This was preventing us from building the docs.
  * debian/patches/use-imgmath.patch
    - Update path to Sphinx config file.
  * debian/rules
    - Update build of Python module for new version.
    - Use gprclean during "dh clean".
    - Stop using jdupes; no longer necessary.
  * debian/python3-phcpy.docs
    - Update location of Python module docs
  * debian/python3-phcpy.examples
    - Update location of Python module examples.
  * debian/tests/control
    - Replace phcpy test; now a Test-Command running phcpy.version.main().
  * debian/tests/phcpy-test.py
    - Remove autopkgtest file.

 -- Doug Torrance <dtorrance@debian.org>  Sat, 24 Feb 2024 22:56:17 -0500

phcpack (2.4.88+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Doug Torrance <dtorrance@debian.org>  Wed, 27 Dec 2023 11:14:59 -0500

phcpack (2.4.87+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright
    - Update my copyright years.
  * debian/patches
    - Refresh for new upstream release.
  * debian/rules
    - Specify UNIX Makefile (upstream now defaults to using the Windows
      one).
    - Drop -o option to gprbuild; we were using it to set the binary name
      to "phc" instead of "phctop", but "phc" is now the default.
    - Backup "phc" binary before calling gprclean before Python build;
      otherwise it will be deleted.

 -- Doug Torrance <dtorrance@debian.org>  Sat, 16 Dec 2023 14:32:58 -0500

phcpack (2.4.86+dfsg-5) unstable; urgency=medium

  * debian/watch
    - Switch from GitHub releases to tags page for uscan download.

 -- Doug Torrance <dtorrance@debian.org>  Tue, 20 Jun 2023 12:00:27 -0400
