## phcpack 2.4.90+dfsg

=== debian/changelog ===
phcpack (2.4.90+dfsg-5) unstable; urgency=medium

  * debian/rules
    - Don't run dh_octave_check in architecture-dependent only builds.

 -- Doug Torrance <dtorrance@debian.org>  Sun, 05 Oct 2025 08:54:54 -0400

phcpack (2.4.90+dfsg-4) unstable; urgency=medium

  * debian/rules
    - Move installation of Octave package before dh_auto_install since
      dh_octave_check is now run immediately afterward.

 -- Doug Torrance <dtorrance@debian.org>  Sun, 05 Oct 2025 07:03:00 -0400

phcpack (2.4.90+dfsg-3) unstable; urgency=medium

  * debian/control
    - Move dh-sequence-octave from Build-Depends-Indep to Build-Depends to
      avoid "add_command_options is not supported" error.
    - Drop versioned dependency on dh-octave.  It was redundant since
      dh-sequence-octave has been provided by dh-octave since version 1.2.0.
  * debian/copyright
    - Refer to URL instead of old physical address for Free Software
      Foundation in GPL-2 text.
  * debian/patches/is-zero.patch
    - New patch; rename iszero -> is_zero to avoid conflicting with new C23
      macro (Closes: #1114643).

 -- Doug Torrance <dtorrance@debian.org>  Tue, 16 Sep 2025 15:36:59 -0400
