=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Debian Math Team <team+math@tracker.debian.org>
 Uploaders: Doug Torrance <dtorrance@debian.org>
 Build-Depends: debhelper-compat (= 13),
+               dh-sequence-octave,
                dh-sequence-sphinxdoc <!nodoc>,
                dvipng <!nodoc>,
                python3-sphinx ,
@@ -13,16 +14,14 @@
                     dh-ada-library (>= 8.2),
                     gnat (>= 11~),
                     gprbuild,
-                    jdupes <!nopython !nodoc>,
                     python3-all-dev <!nopython>,
+                    python3-setuptools <!nopython>,
                     python3-tk <!nopython>
-Build-Depends-Indep: dh-octave (>= 1.2.0~), dh-sequence-octave
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://homepages.math.uic.edu/~jan/PHCpack/phcpack.html
 Vcs-Browser: https://salsa.debian.org/math-team/phcpack
 Vcs-Git: https://salsa.debian.org/math-team/phcpack.git
 Rules-Requires-Root: no
-Testsuite: autopkgtest-pkg-pybuild
 
 Package: phcpack
 Architecture: any
