=== debian/changelog ===
phcpack (2.4.91+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/hardening.patch
    - Refresh for new upstream release.
  * debian/patches/is-zero.patch
    - Remove patch; applied upstream.

 -- Doug Torrance <dtorrance@debian.org>  Wed, 15 Oct 2025 22:18:15 -0400
