=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 ifneq (,$(call command, pybuild))
 DH_OPTIONS += --buildsystem=pybuild
-PYTHON3 := $(shell pybuild --system distutils --print {interpreter.include_dir})
+PYBUILD_BUILD_DIRS := $(shell pybuild --system distutils --print {build_dir})
 endif
 
 %:
@@ -23,29 +23,32 @@
 # This line has no effect during architecture-independent builds:
 include $(wildcard /usr/share/ada/packaging.mk)
 
-export PYBUILD_DIR = src/Python/PHCpy3
+export PYBUILD_DIR = src/Python/PHCpy
 
 override_dh_auto_build-arch:
 	@echo "+------------------+"
 	@echo "| building PHCpack |"
 	@echo "+------------------+"
-	gprbuild $(GPRBUILDFLAGS) src/Ada/Main/main.gpr -o phc
+	gprbuild $(GPRBUILDFLAGS) src/Ada/Main/main.gpr
 	$(MAKE) -C src/doc man
 ifeq (,$(filter nopython, $(DEB_BUILD_PROFILES)))
 	@echo "+----------------+"
 	@echo "| building PHCpy |"
 	@echo "+----------------+"
+	mv src/bin/phc src/bin/phc.bak
 	cd src/Ada/Main && gprclean main.gpr # so we can recompile with -fPIC
-	$(MAKE) -C src/Objects phcpy2c3.so \
-		PYTHON3=$(PYTHON3)         \
-		GNATFLAGS="$(ADAFLAGS)"
+	mv src/bin/phc.bak src/bin/phc
+	gprbuild $(GPRBUILDFLAGS) src/Ada/Main/phclib.gpr
 	pybuild --build
+	cp src/lib/libPHCpack.so $(PYBUILD_DIR) # for building docs
+	for dir in $(PYBUILD_BUILD_DIRS);        \
+		do cp src/lib/libPHCpack.so $$dir; \
+	done
 ifeq (,$(filter nodoc, $(DEB_BUILD_PROFILES)))
 	@echo "+---------------------+"
 	@echo "| building PHCpy docs |"
 	@echo "+---------------------+"
-	$(MAKE) -C src/Python/PHCpy3/doc html
-	jdupes -l src/Python/PHCpy3/doc/build/html/_images/math
+	$(MAKE) -C src/Python/PHCpy/doc html
 endif
 endif
 
@@ -64,7 +67,7 @@
 
 execute_before_dh_octave_version: DESCRIPTION
 
-execute_after_dh_auto_install-indep: DESCRIPTION
+execute_before_dh_auto_install-indep: DESCRIPTION
 	@echo "+-----------------+"
 	@echo "| building PHClab |"
 	@echo "+-----------------+"
@@ -75,6 +78,8 @@
 	cp --update --reflink=auto src/Octave/*.m debian/PKG_ADD inst
 
 	dh_auto_install --buildsystem=octave
+
+override_dh_octave_check-arch:
 
 include /usr/share/dpkg/pkg-info.mk
 DESCRIPTION: debian/DESCRIPTION.in
@@ -93,7 +98,8 @@
 	dh_clean -Xbak
 
 execute_after_dh_auto_clean:
-	$(MAKE) -C src/Objects clean
-	$(MAKE) -C src/Python/PHCpy3/doc clean
+	gprclean src/Ada/Main/main.gpr || true
+	gprclean src/Ada/Main/phclib.gpr || true
+	$(MAKE) -C src/Python/PHCpy/doc clean
 	$(MAKE) -C src/doc clean
 	dh_auto_clean --buildsystem=octave || true
