=== debian/watch ===
version=4
opts=dversionmangle=s/@DEB_EXT@//,repacksuffix=+dfsg \
https://github.com/janverschelde/PHCpack/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
